
# Funkcja odpowiada na pytanie, czy podany napis jest palindromem, czyli czy od lewej czyta się tak samo jak od prawej
# np "kajak" jest , a "baba" nie jest
def palindrom(napis):
    for i in range(len(napis) // 2):
        if napis[i] != napis[-i - 1]:
            return False
    return True

def palindrom_v2(napis:str) -> bool:
    return napis == napis[::-1]


def zdanie_palindrom(napis:str) -> bool:
    return palindrom_v2(napis.replace(' ', '').lower())


def main():
    while True:
        napis = input('Podaj napis: ')
        if not napis:
            break
        if zdanie_palindrom(napis):
            print(f'Napis "{napis}" jest palindromem')
        else:
            print(f'Napis "{napis}" nie jest palindromem')


if __name__ == '__main__':
    main()
